<?php
require_once("album.php");
require_once("artist.php");

class Database extends PDO{
	
	public function __construct(){
		parent::__construct("sqlite:" . __DIR__ . "/../music2.db");
	}
	
	function getAlbumsByRank($num_returned=25,$offset=0){
		//Lazy Man's JOIN
		$sql = "SELECT * FROM album, artist 
				WHERE album.artist_id = artist.artist_id AND album.rank > " . $offset .
				' ORDER BY album.rank ASC LIMIT ' . $num_returned;
		$result = $this->query($sql);
		if($result === FALSE ){
			//Only doing this for class. Would never do this in real life
			echo '<pre class="bg-danger">';
				print_r($this->errorInfo());
			echo '</pre>';
			return array();
		}
		$albums = array();
		foreach($result as $row){
			$albums[] = Album::getAlbumFromRow($row);
		}
		return $albums;
	}
	
	function getAlbumsByArtist($num_returned=25,$offset=0){
		//Lazy Man's JOIN
		$sql = "SELECT * FROM album, artist
				WHERE album.artist_id = artist.artist_id AND album.rank > " . $offset .
						' ORDER BY artist.artist_name ASC LIMIT ' . $num_returned;
		$result = $this->query($sql);
		if($result === FALSE ){
			//Only doing this for class. Would never do this in real life
			echo '<pre class="bg-danger">';
			print_r($this->errorInfo());
			echo '</pre>';
			return array();
		}
		$albums = array();
		foreach($result as $row){
			$albums[] = Album::getAlbumFromRow($row);
		}
		return $albums;
	}
	
	function getAlbumsByYear($num_returned=25,$offset=0){
		//Lazy Man's JOIN
		$sql = "SELECT * FROM album, artist
				WHERE album.artist_id = artist.artist_id AND album.rank > " . $offset .
						' ORDER BY album.year ASC LIMIT ' . $num_returned;
		$result = $this->query($sql);
		if($result === FALSE ){
			//Only doing this for class. Would never do this in real life
			echo '<pre class="bg-danger">';
			print_r($this->errorInfo());
			echo '</pre>';
			return array();
		}
		$albums = array();
		foreach($result as $row){
			$albums[] = Album::getAlbumFromRow($row);
		}
		return $albums;
	}
}