<?php
	/***************
	 * select.php
	 * Intro to PHP and SQLite - Simple SELECT Statements
	 * 
	 * Jaime Ruiz 		initial		March 2, 2015
	 */
	require_once "inc/page_setup.php";
	
	
	//Set some variables required by header
	$title = "Databases with PDO and SQLite";
	$page_name ="select";
	//Include example header
	include 'inc/header.php';
	
	$current_tab = "rank";
	if(isset($_GET["b"])){
		$current_tab = strip_tags($_GET["b"]);
	}
?>
<main>
	<div class="container">
		<div class="row">
			<div class="col-sm-3">
				<?php 
					include "inc/sidenav.php";
				?>
			</div>
			<div class="col-sm-9">
			<div class="page-header">
				<h2>Top Albums of All Time</h2>
			</div>
			<nav>
				<ul class="nav nav-tabs">
				  <li <?php echo getIsActive($current_tab, "rank"); ?>><a href="?b=rank">By Rank</a></li>
				  <li <?php echo getIsActive($current_tab, "artist"); ?>><a href="?b=artist">By Artist</a></li>
				  <li <?php echo getIsActive($current_tab, "year"); ?>><a href="?b=year">By Year</a></li>
				</ul>
			</nav>
			<?php 
				$db = new Database();
				switch($current_tab){
					case "artist":
						$albums = $db->getAlbumsByArtist();
						break;
					case "year":
							$albums = $db->getAlbumsByYear();
							break;
					case "rank":
					default:
						$albums = $db->getAlbumsByRank();
				}
				
			?>
			 <table class="table table-condensed table-striped">
			 	<!-- defines the header of a table -->
			 	<thead>
			 		<tr>
			 			<th>Rank</th>
			 			<th>Title</th>
			 			<th>Year</th>
			 			<th>Artist</th>
			 		</tr>
			 	</thead>
			 	<tbody>
			 	<?php 
			 		foreach ($albums as $album){ ?>
			 		<tr>
			 			<td><?php echo $album->rank ?></td>
			 			<td><?php echo $album->title ?></td>
			 			<td><?php echo $album->year ?></td>
			 			<td><?php echo $album->artist ?></td>
			 		</tr>	
			 	<?php 
			 		}
			 	?>
			 	</tbody>
			 </table>
			   
			</div>
		</div>
	</div>
</main>

<?php include 'inc/footer.php'; ?>
